Class | PhusionPassenger::AppInitError
In: | lib/phusion_passenger/exceptions.rb
Parent: | InitializationError

Raised when Rack::ApplicationSpawner, ClassicRails::ApplicationSpawner, ClassicRails::FrameworkSpawner or SpawnManager was unable to spawn an application, because the application either threw an exception or called exit.

If the application called exit, then `child_exception` is an instance of `SystemExit`.

### Methods

new

### Attributes

app_type | [RW] | The application type, e.g. "rails" or "rack".
stderr | [RW] | Any messages printed to stderr before the failure. May be nil.

### Public Class methods

new(message, child_exception = nil, app_type = "rails", stderr = nil)

[Validate]